Test2::EventFacet::Info - Facet for information a developer might care about.

- NAME
- DESCRIPTION
- NOTES
- FIELDS
- SOURCE
- MAINTAINERS
- AUTHORS
- COPYRIGHT

# NAME

Test2::EventFacet::Info - Facet for information a developer might care about.

# DESCRIPTION

This facet represents messages intended for humans that will help them either understand a result, or diagnose a failure.

# NOTES

This facet appears in a list instead of being a single item.

# FIELDS

$string_or_structure = $info->{details}
$string_or_structure = $info->details()

  Human readable string or data structure, this is the information to display. Formatters are free to render the structures however they please. This may contain a blessed object.

$short_string = $info->{tag}
$short_string = $info->tag()

  Short tag to categorize the info. This is usually 10 characters or less, formatters may truncate longer tags.

$bool = $info->{debug}
$bool = $info->debug()

  Set this to true if the message is critical, or explains a failure. This is info that should be displayed by formatters even in less-verbose modes.

  When false the information is not considered critical and may not be rendered in less-verbose modes.

$bool = $info->{important}
$bool = $info->important

  This should be set for non debug messages that are still important enough to show when a formatter is in quiet mode. A formatter should send these to STDOUT not STDERR, but should show them even in non-verbose mode.

# SOURCE

The source code repository for Test2 can be found at http://github.com/Test-More/test-more/.

# MAINTAINERS

Chad Granum <exodist@cpan.org>

# AUTHORS

Chad Granum <exodist@cpan.org>

# COPYRIGHT

Copyright 2018 Chad Granum <exodist@cpan.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/

Test2::EventFacet::Info - Facet for information a developer might care about.